API SpecificationFunctions
List repositories
Lists what the function's connection can deploy from.
Authorization
BearerAuth AuthorizationBearer <token>
A team API token, created by a team owner and presented as
Authorization: Bearer fnt_…. The secret is shown once at creation and
stored only as a hash.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
functionId?string
connectionId?string
search?string
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://functions.xeonr.io/xeonr.functions.v1.FunctionService/ListRepositories" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"repositories": [
{
"fullName": "string",
"defaultBranch": "string",
"private": true
}
],
"connected": true,
"listable": true,
"reconnect": true
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}